import { Car, Customer, Washing } from ".";

export type Id = string;

export type Create = {
  customer: {
    phone: Customer.PhoneNumber,
  };
  car: {
    number: Car.RegistrationNumber,
    body: Car.BodyStyle,
    color: Car.Color,
  },
  washing: {
    location: Washing.Location
    begin: Washing.AvailableBeginDateTime,
    end: Washing.AvailableEndDateTime,
  }
};

export type View = {
  id: Id;
};